/*
Büchel GmbH
creation Date: 2025-12-16
Author: Sebastian Osinski
http://www.sebbi.net
https://ddm-friends.de
*/

#topmenu-wrapper,
#topmenu-wrapper *,
#topmenu-wrapper ul.mod-menu__sub li:before{
	-webkit-transition: all 100ms linear;
	-moz-transition: all 100ms linear;
	-ms-transition: all 100ms linear;
	-o-transition: all 100ms linear;
	transition: all 100ms linear;
}

#topmenu-wrapper{
	text-align: center;
	position: fixed;
	width: 100%;
	height: 130px;
}
#topmenu-wrapper.smaller{
	height: 50px;
}

.navbar-toggler{
	display: none;
}

#logo_wrap{
	position: absolute;
	height: 100%;
	width: 0px;
	left: 50%;
	top: 0px;
	opacity: 1;
}
#logo_img{
	position: absolute;
	left: 0%;
	top: 50%;
	z-index: 2;
	transform: translateX(-50%);
	height: 60px;
	top: 10px;
}
#topmenu-wrapper.smaller #logo_wrap{
	top: -100px;
	opacity: 0;
}



/* MENU ACTIVATOR */
#menu-activator{
	position: absolute;
	height: 100%;
	width: 70px;
	cursor: pointer;
	top: 0px;
	right: -100px;
}
#menu-activator > div{
	position: absolute;
	width: 60%;
	height: 50%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
#menu-activator > div > div{
	width: 100%;
  height: 18%;
}
#menu-activator:hover > div > div:nth-child(2){
	width: 90%;
}
#menu-activator:hover > div > div:nth-child(3){
	width: 80%;
}


/* ADDS */
.header_add{
	position: absolute;
	color: #28A5D2;
	font-size: 14px;
	border-bottom: 1px solid;
	top: 10px;
	left: 50%;
	margin-left: 200px;
	opacity: 1;
	pointer-events: all;
}
#topmenu-wrapper.smaller .header_add{
	opacity: 0;
	pointer-events: none;
	top: -20px;
}
.header_add p{
	margin: 0px !important;
}
.header_add a:first-child{
	padding-right: 20px;
}
.header_add a:hover{
	color: white;
}

/* RESPONSIVE */
@media (max-width: 1700px){
}
@media (max-width: 1620px){
}

@media (max-width: 1400px){
}

@media (max-width: 1320px){
	#top_spacer{
		height: 50px;
	}
	#logo_img,
	#topmenu-wrapper.smaller #logo_img{
		height: 30px;
		transform: none;
	}
	#logo_wrap,
	#topmenu-wrapper.smaller #logo_wrap{
		left: 10px;
		top: 0px;
		opacity: 1;
	}
	#topmenu-wrapper{
		height: 50px;
	}
	.header_add{
		display: none;
	}
	
	#menu-activator{
		right: 10px;
	}
}

@media (max-width: 1000px){
}
@media (max-width: 800px){
}
@media (max-width: 500px){
}